Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.dom
Class ASDOMImplementationImpl

    java.lang.Object
      weblogic.apache.xerces.dom.CoreDOMImplementationImpl
          weblogic.apache.xerces.dom.DOMImplementationImpl
              weblogic.apache.xerces.dom.ASDOMImplementationImpl

All Implemented Interfaces:
  DOMImplementation, org.apache.xerces.dom3.as.DOMImplementationAS, DOMImplementationLS

Deprecated. please use JDK supplied XML parsers and transformers

public class ASDOMImplementationImpl
extends DOMImplementationImpl
implements org.apache.xerces.dom3.as.DOMImplementationAS

The DOMImplementation class is description of a particular implementation of the Document Object Model. As such its data is static, shared by all instances of this implementation.

The DOM API requires that it be a real object rather than static methods. However, there's nothing that says it can't be a singleton, so that's how I've implemented it.

This particular class, along with DocumentImpl, supports the DOM Core, DOM Level 2 optional mofules, and Abstract Schemas (Experimental).

Since:
  PR-DOM-Level-1-19980818.

Field Summary

Fields inherited from interface org.w3c.dom.ls.DOMImplementationLS
`MODE_ASYNCHRONOUS, MODE_SYNCHRONOUS`

Constructor Summary
`ASDOMImplementationImpl()` Deprecated.

Method Summary
`org.apache.xerces.dom3.as.ASModel` | `createAS(boolean isNamespaceAware)` Deprecated. DOM Level 3 WD - Experimental.
`org.apache.xerces.dom3.as.DOMASBuilder` | `createDOMASBuilder()` Deprecated. DOM Level 3 WD - Experimental.
`org.apache.xerces.dom3.as.DOMASWriter` | `createDOMASWriter()` Deprecated. DOM Level 3 WD - Experimental.
`static DOMImplementation` | `getDOMImplementation()` Deprecated. NON-DOM: Obtain and return the single shared object

Methods inherited from class weblogic.apache.xerces.dom.DOMImplementationImpl
`createDocument, createDocumentType, hasFeature`

Methods inherited from class weblogic.apache.xerces.dom.CoreDOMImplementationImpl
`createDOMBuilder, createDOMInputSource, createDOMWriter, getInterface`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASDOMImplementationImpl

    public ASDOMImplementationImpl()

  Deprecated.

Method Detail

### createAS

    public org.apache.xerces.dom3.as.ASModel createAS(boolean isNamespaceAware)

  Deprecated.
  DOM Level 3 WD - Experimental. Creates an ASModel.

  Specified by:
    `createAS` in interface `org.apache.xerces.dom3.as.DOMImplementationAS`
  Parameters:
    `isNamespaceAware` - Allow creation of `ASModel` with this attribute set to a specific value.
  Returns:
    A `null` return indicates failure.what is a failure? Could be a system error.

### createDOMASBuilder

    public org.apache.xerces.dom3.as.DOMASBuilder createDOMASBuilder()

  Deprecated.
  DOM Level 3 WD - Experimental. Creates an `DOMASBuilder`.Do we need the method since we already have `DOMImplementationLS.createDOMBuilder`?

  Specified by:
    `createDOMASBuilder` in interface `org.apache.xerces.dom3.as.DOMImplementationAS`
  Returns:
    DOMASBuilder

### createDOMASWriter

    public org.apache.xerces.dom3.as.DOMASWriter createDOMASWriter()

  Deprecated.
  DOM Level 3 WD - Experimental. Creates an `DOMASWriter`.

  Specified by:
    `createDOMASWriter` in interface `org.apache.xerces.dom3.as.DOMImplementationAS`
  Returns:
    a DOMASWriter

### getDOMImplementation

    public static DOMImplementation getDOMImplementation()

  Deprecated.
  NON-DOM: Obtain and return the single shared object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD